{
  "private": false,
  "name": "oil-refinery",
  "version": "0.0.1",
  "description": "Oil Refinery is an Angular/Ionic base project that supports every build target imaginable ⛽🔥🤤",
  "license": "MIT",
  "author": "Brian Zalewski <brian@megabyte.space> (https://megabyte.space)",
  "homepage": "https://megabyte.space",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/megabyte-labs/Oil-Refinery.git"
  },
  "bugs": {
    "email": "help@megabyte.space",
    "url": "https://gitlab.com/megabyte-labs/templates/angular-app/-/issues"
  },
  "type": "module",
  "main": "dist/main.js",
  "files": [
    "dist/"
  ],
  "scripts": {
    "build": "ng build",
    "commit": "bash start.sh && task commit",
    "fix": "bash start.sh && task fix",
    "help": "bash start.sh && task --menu",
    "postinstall": "ngcc --properties es2015 browser module main",
    "lint": "bash start.sh && task lint",
    "preload": "bash start.sh && task preload",
    "ng": "ng",
    "prepare": "bash start.sh && (test -f Taskfile.yml && task npm:prepare) || true",
    "release": "bash start.sh && task publish:semantic-release",
    "repair": "bash <(curl -sS https://install.doctor/repair)",
    "start": "ng serve",
    "test": "ng test",
    "test:cov": "ng test --coverage",
    "unpack": "bash start.sh && task npm:bundle:unpack",
    "update": "bash start.sh && task update",
    "vscode": "bash start.sh && task vscode",
    "watch": "ng build --watch --configuration development"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/git-cz-emoji"
    }
  },
  "typings": "dist/main.d.ts",
  "dependencies": {
    "@angular/animations": "~13.0.0",
    "@angular/common": "~13.0.0",
    "@angular/compiler": "~13.0.0",
    "@angular/core": "~13.0.0",
    "@angular/forms": "~13.0.0",
    "@angular/platform-browser": "~13.0.0",
    "@angular/platform-browser-dynamic": "~13.0.0",
    "@angular/router": "~13.0.0",
    "@capacitor/core": "^3.5.1",
    "@ionic/angular": "^5.9.4",
    "@nestjs/common": "^8.4.4",
    "@nestjs/core": "^8.4.4",
    "@nestjs/platform-express": "^8.4.4",
    "class-transformer": "^0.4.0",
    "class-validator": "^0.13.1",
    "firebase": "^9.7.0",
    "reflect-metadata": "^0.1.13",
    "rxjs": "~7.4.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.11.4"
  },
  "optionalDependencies": {},
  "devDependencies": {
    "@angular-builders/jest": "^13.0.0",
    "@angular-devkit/architect": "~0.1301.4",
    "@angular-devkit/build-angular": "~13.0.3",
    "@angular-devkit/core": "~13.1.4",
    "@angular-eslint/eslint-plugin": "~13.0.1",
    "@angular-eslint/eslint-plugin-template": "~13.0.1",
    "@angular-eslint/template-parser": "~13.0.1",
    "@angular/cli": "~13.0.3",
    "@angular/compiler-cli": "~13.0.0",
    "@angular/language-service": "~13.1.3",
    "@babel/core": "^7.17.10",
    "@babel/preset-env": "^7.17.10",
    "@capacitor/android": "^3.5.1",
    "@capacitor/cli": "^3.5.1",
    "@capacitor/ios": "^3.5.1",
    "@commitlint/config-conventional": "latest",
    "@nestjs/schematics": "^8.0.10",
    "@nestjs/testing": "^8.4.4",
    "@nrwl/angular": "13.4.1",
    "@nrwl/cli": "13.4.1",
    "@nrwl/cypress": "13.4.1",
    "@nrwl/eslint-plugin-nx": "13.4.1",
    "@nrwl/jest": "13.4.1",
    "@nrwl/js": "13.4.1",
    "@nrwl/linter": "13.4.1",
    "@nrwl/nest": "^13.10.4",
    "@nrwl/node": "13.4.1",
    "@nrwl/nx-cloud": "latest",
    "@nrwl/react": "^12.10.1",
    "@nrwl/storybook": "^13.10.4",
    "@nrwl/tao": "13.4.1",
    "@nrwl/workspace": "13.4.1",
    "@nxtend/capacitor": "^12.1.0",
    "@nxtend/firebase": "^12.1.0",
    "@nxtend/ionic-angular": "^12.1.0",
    "@storybook/addon-essentials": "~6.4.22",
    "@storybook/angular": "~6.4.22",
    "@storybook/builder-webpack5": "~6.4.22",
    "@storybook/manager-webpack5": "~6.4.22",
    "@types/jest": "^27.0.3",
    "@types/node": "^12.11.1",
    "@typescript-eslint/parser": "~5.3.1",
    "@washingtondc/jest": "^1.0.0",
    "babel-loader": "^8.2.5",
    "cypress": "^8.7.0",
    "eslint": "8.2.0",
    "eslint-config-prettier": "8.1.0",
    "eslint-config-strict-mode": "latest",
    "eslint-plugin-cypress": "^2.12.1",
    "git-cz-emoji": "latest",
    "handlebars-helpers": "latest",
    "jest": "^27.3.1",
    "jest-preset-angular": "11.0.0",
    "jest-preset-ts": "latest",
    "prettier": "^2.6.2",
    "prettier-config-sexy-mode": "latest",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "semantic-release-config": "latest",
    "ts-jest": "^27.0.7",
    "typescript": "~4.4.3",
    "webpack": "^5.72.0"
  },
  "keywords": [
    "android",
    "angular",
    "ansible",
    "ansible-playbook",
    "archlinux",
    "centos",
    "chrome",
    "debian",
    "doctor",
    "electron",
    "extension",
    "fedora",
    "firefox",
    "install",
    "installdoc",
    "installdoctor",
    "ios",
    "macos",
    "mblabs",
    "megabytelabs",
    "molecule",
    "playbook",
    "professormanhattan",
    "pwa",
    "rxjs",
    "ubuntu",
    "washingtondc",
    "windows"
  ],
  "engines": {
    "node": ">=14.18.0"
  },
  "publishConfig": {
    "@gitlab:registry": "https://gitlab.com/api/v4/projects/31086712/packages/npm/",
    "@megabyte:registry": "https://gitlab.com/api/v4/projects/31086712/packages/npm/",
    "access": "public",
    "registry": "https://registry.npmjs.org/",
    "tag": "edge"
  },
  "blueprint": {
    "boilerplate": true,
    "customPackageName": "oil-refinery",
    "description": "Oil Refinery is an Angular/Ionic base project that supports every build target imaginable ⛽🔥🤤",
    "github_id": "R_kgDOGlSGJw",
    "gitlab_group_id": "11579735",
    "gitlab_project_id": "31086712",
    "group": "angular",
    "name": "Angular App Boilerplate",
    "overview": "This project combines [Angular](https://angular.io/) and [Ionic](https://ionicframework.com/) with the build tools necessary to turn a single codebase into every imaginable build target. Out of the box, the project supports generating builds for web, Android, iOS, Chrome, Firefox, Opera, Windows, macOS, Linux, and even menu bar programs that live in your system tray. On top of that, it bundles some of the best build and CI/CD tools with dependencies that are installed on-demand (i.e. if you do not need a feature, the dependencies are not installed). Powering the project is a custom version of go-task that we named [Run](https://gitlab.com/megabyte-labs/go/cli/run) along with a suite of development tools that leave no stone un-turned (e.g. git hooks, automatic documentation, and *optional* continuous updates to the build tools). This project is 🔥🔥🔥.",
    "repository": {
      "github": "https://github.com/megabyte-labs/Oil-Refinery",
      "gitlab": "https://gitlab.com/megabyte-labs/templates/angular-app"
    },
    "slug": "oil-refinery",
    "subgroup": "app",
    "title": "Oil Refinery ⛽ - One and Done"
  },
  "changelog": {
    "displayTypes": [
      "feat",
      "fix",
      "perf",
      "refactor",
      "revert"
    ],
    "showAuthor": true
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ],
    "helpUrl": "https://megabyte.space/docs/contributing/commits"
  },
  "eslintConfig": {
    "extends": "eslint-config-strict-mode",
    "ignorePatterns": [
      ".config/scripts/**/*.js",
      "**/*.ts",
      "**/*.js"
    ],
    "rules": {
      "import/no-extraneous-dependencies": "warn",
      "json-schema-validator/no-invalid": "off",
      "woke/all": "off"
    }
  },
  "funding": [
    {
      "type": "opencollective",
      "url": "https://opencollective.com/megabytelabs"
    },
    {
      "type": "patreon",
      "url": "https://www.patreon.com/ProfessorManhattan"
    }
  ],
  "jest": {
    "preset": "jest-preset-ts",
    "reporters": [
      "default",
      [
        "jest-html-reporters",
        {
          "filename": "index.html",
          "logoImgPath": "./.config/assets/logo-jest-report.png",
          "openReport": true,
          "pageTitle": "Code Coverage Report",
          "publicPath": "./coverage"
        }
      ]
    ]
  },
  "jscpd": {
    "gitignore": true,
    "threshold": 0.1
  },
  "lint-staged": {
    "(Brewfile|composer.lock|Gemfile|Gopkg.lock|Pipfile.lock)": [
      "task fix:prettier --"
    ],
    "**/!(logo).(jpg|png)": [
      "task image:compress --"
    ],
    "**/*": [
      "task lint:any --"
    ],
    "**/*!(template).(json|webapp|webmanifest)": [
      "task fix:json --"
    ],
    "**/*.(bash|cfg|cgi|command|css|env|env.*|handlebars|hbs|html|less|fcgi|java|md|mdx|mjml|php|phtml|properties|reg|scss|tmpl|tmux|tool|tpl|zsh)": [
      "task fix:prettier --"
    ],
    "**/*.(cjs|js|jsx|mjs|ts|tsx)": [
      "task fix:js --",
      "task lint:js --"
    ],
    "**/*.(yml|yaml)": [
      "task fix:yaml --",
      "task lint:yaml --"
    ],
    "**/*.go": [
      "task fix:go --",
      "task lint:go --"
    ],
    "**/*.md": [
      "task fix:markdown --",
      "task lint:spelling:markdown --"
    ],
    "**/*.php": [
      "task fix:php --",
      "task lint:php --"
    ],
    "**/*.py": [
      "task fix:python --",
      "task lint:python --"
    ],
    "**/*.sh": [
      "task fix:prettier --",
      "task fix:shell --",
      "task lint:shell --"
    ],
    "**/*.toml": [
      "task fix:toml --",
      "task fix:prettier --",
      "task lint:toml --"
    ],
    "**/*.xml": [
      "task fix:xml --",
      "task lint:xml --"
    ],
    "Dockerfile": [
      "task fix:prettier --",
      "task lint:docker --"
    ],
    "Vagrantfile": [
      "task fix:prettier --",
      "task lint:vagrant"
    ],
    "logo.(gif|jpg|jpeg|webp)": [
      "task image:convert:logo --"
    ],
    "logo.png": [
      "task image:resize -- 200 200",
      "task image:compress --"
    ]
  },
  "ntl": {
    "descriptions": {
      "build": "Builds the project using the build command specified under scripts in package.json",
      "bump": "Used to quickly build, increase the package.json version, and publish the package",
      "commit": "If unsure, use this task to commit your code so that it adheres to our commit rules",
      "fix": "Run auto-fixing with all available auto-fixers",
      "help": "Display the Bodega Taskfile.yml interactive help menu",
      "lint": "Lint the project with all available linters",
      "preload": "Preload the operating system with commonly used libraries and tools",
      "prepare": "A hook triggered by running npm install that runs logic such as installing pre-commit hooks",
      "release": "Publish the software to all supported channels using semantic-release",
      "repair": "Fixes basic issues in projects that are having trouble running basic commands like 'task start'",
      "start": "Entrypoint for new developers that installs requirements and then runs 'task start'",
      "test": "Runs the appropriate test logic by running the test command defined under scripts in package.json",
      "unpack": "Populates production node_modules from compressed copies saved in the .modules/ folder",
      "update": "Update and refresh the repository with upstream changes and templated parts"
    }
  },
  "pnpm": {
    "allowedVersions": {
      "@typescript-eslint/eslint-plugin": "5",
      "eslint": "8",
      "typescript": "4"
    },
    "neverBuiltDependencies": [
      "core-js",
      "core-js-pure",
      "highlight.js"
    ],
    "peerDependencyRules": {
      "ignoreMissing": [
        "eslint",
        "prettier",
        "puppeteer"
      ]
    }
  },
  "prettier": "prettier-config-sexy-mode",
  "release": {
    "branches": [
      "main",
      "master",
      "next",
      {
        "name": "beta",
        "prerelease": true
      }
    ],
    "extends": "semantic-release-config"
  }
}
